Bug 113833 - double close in mount
double close in mount
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-19 03:50 EST by Jakub Jelinek
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 07:25:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2004-01-19 03:50:02 EST
Description of problem:
Mount calls close on a closed file descriptor.

Version-Release number of selected component (if applicable):
mount-2.11y-31.1, mount-2.11y-35.sel

How reproducible:
strace mount -t nfs porkchop.redhat.com:/mnt/redhat /tmp/aaaa
...
uname({sys="Linux", node="porky.devel.redhat.com", ...}) = 0
close(3)                                = 0
close(3)                                = -1 EBADF (Bad file descriptor)
rt_sigprocmask(SIG_BLOCK, ~[TRAP SEGV], NULL, 8) = 0
mount("172.16.58.2:/mnt/redhat", "/tmp/aaaa", "nfs", 0xc0ed0000, 0x80598e0) = 0
getcwd("/tmp", 4095)                    = 5
...




Additional info:
Comment 1 Elliot Lee 2004-05-27 14:49:07 EDT
This'll probably get ignored until someone tracks down the cause,
since it doesn't seem to be producing problems.
Comment 2 Radek Vokal 2006-11-29 07:25:19 EST
I'm closing this bug due to 2 year inactivity.

Note You need to log in before you can comment on or make changes to this bug.